# 应用配置文件
server:
  # Web服务器监听IP
  host: "0.0.0.0"
  # Web服务器监听端口
  port: 8086
  # 服务器超时配置(秒)
  read_timeout: 30
  write_timeout: 30
  idle_timeout: 120

# PostgreSQL数据库配置
database:
  host: "huangwc.com"
  port: 5432
  username: "pig-farm-controller"
  password: "pig-farm-controller"
  dbname: "pig-farm-controller"
  sslmode: "disable"
  # 连接池配置
  max_open_conns: 5
  max_idle_conns: 5
  conn_max_lifetime: 300 # 5分钟

# WebSocket配置
websocket:
  # WebSocket请求超时时间(秒)
  timeout: 5
  # 心跳检测间隔(秒), 如果超过这个时间没有消息往来系统会自动发送一个心跳包维持长链接
  heartbeat_interval: 54

# 心跳配置
heartbeat:
  # 心跳间隔(秒)
  interval: 5
  # 请求并发数
  concurrency: 5